lp:ubuntu/utopic/monodevelop

Created by Ubuntu Package Importer and last modified
Get this branch:
bzr branch lp:ubuntu/utopic/monodevelop
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

33. By Jo Shields

No-change rebuild, for servicemodel ABI bump

32. By Dmitry Shachnev

* Non-maintainer upload, with maintainer’s permission.

[ Mirco Bauer ]
* [c665d03] Added debian/gbp.conf to not rely on uploader's
  ~/.gbp.conf for a consistent debian/changelog

[ Dmitry Shachnev ]
* [a426228] Build without libmetacity support (closes: #751597).
  The current libmetacity code does not work anyway (as it relies on
  removed gconf schema), and it is not compatible with Metacity 3.x.

31. By Jo Shields

[622568c] Use OS-provided Mono.Addins, not bundled project

30. By Jo Shields

* [5dcb6e1] Fix debian/watch for new source tarball name format
* [5c68cb5] Refresh list of files removed by get-orig-source to
  reflect 4.0.12
* [96d60a0] Imported Upstream version 4.0.12+dfsg
* [b989752] Refresh debian/patches/no_appmenu to ensure it applies
* [2a4c351] Ensure every assembly in external/ is cleaned properly
* [92762f7] Add more excluded Mac-specific modulerefs
* [bc698ba] Add symlinks to NUnit assemblies (Closes: #714246)

29. By Jo Shields

* [a01b51d] Imported Upstream version 4.0+dfsg
* [fce0339] Remove obsolete patch
  fix_gettext_install_location_53282c9.patch
* [8845d36] Remove obsolete patch link_system_nunit.patch - xbuild always
  searches for system libraries to link against if we delete the bundled
  versions.
* [9060006] Remove obsolete patch use_libsvn1.patch - we don't need this,
  since we can --exclude-moduleref these days when never-used libs are
  referenced in platform-specific code.
* [ec61152] Remove obsolete patch use_libapr1.patch - we don't need this,
  since we can --exclude-moduleref these days when never-used libs are
  referenced in platform-specific code.
* [182e98c] Strangely, if you have multiple versions of the same library
  installed (i.e. MVC) then the lowest numbered is used for xbuild
  assembly references, which breaks the build. Force MVC3 since that
  works (i.e. the code requires a Razor-capable MVC)
* [9596fba] Exclude a bundle of extra Mac/Windows-specific modulerefs
* [55ba361] Specifically require mono-devel 3.0+, to pull in MVC3
* [dd232c9] Reference Xamarin Studio in debian/control, so searches in
  apt-cache match this package
* [6adcafb] Remove the commented Moonlight stuff in debian/control, that
  stuff is never coming back
* [b66fae7] Fix package description for monodevelop-versioncontrol to
  mention Git.
* [4bfbce8] Specifically depend on the SGen garbage collector, since
  upstream now recommends its use with MonoDevelop
* [76fb6c7] Imported Upstream version 4.0.4+dfsg
* [f2b85f9] Refresh list of files removed by +dfsg
* [846e28a] Imported Upstream version 4.0.5+dfsg

28. By Jo Shields

* [3fd89ae] Imported Upstream version 3.0.3.2+dfsg
* [379a680] Remove old patches we haven't used for ages from git.
* [d71161d] Remove correct_paths_in_monodevelop-core-addins.pc.patch.
  Upstream claim to have fixed this by moving assembly install locations.
* [15dbfb9] Fix install location for MonoDevelop.Gettext.dll.config.
* [26eb434] Fix install location for MonoDevelop.SourceEditor2.dll.config.
* [4169974] Upstream commit 53282c9 which finally reconciles the
  MonoDevelop.Gettext.dll install location with the
  monodevelop-core-addins.pc location.

27. By Jo Shields

* [fcecfe7] Fix monodevelop-core-addins.pc.in to point to actual
  installed location of assemblies.
* [26e1a07] DebSrc 3.0 does not support Quilt's -p parameter, so
  manually adjust the path in the patch file.

26. By Julian Taylor

* Team upload.
* [3b97509] fix nunit port patch.
  Needed a small logic change for the TestSuiteResult -> TestResult merge
  in 2.5
  Added a ProjectService needed by nunit's DomainManager service
  Removed some line ending fuzz
* [ad86e5e] refresh all patches
* [226a326] treat new Error TestResult as a failure to get it displayed
* [be03336] use dh $@ --with cli instead of cli.make
* [f475710] wrap-and-sort debian/
* [2635858] use dh-autoreconf

25. By Jo Shields

[1840cc1] Imported Upstream version 2.8.6.3+dfsg

24. By Jo Shields

[980e6b4] Update Autotools exporter template not to try and use
pkglib_SCRIPTS for assemblies, as Automake 1.11.2 does not permit this.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/trusty/monodevelop
This branch contains Public information 
Everyone can see this information.

Subscribers